#ifndef __ULIB_CONTROL_H__
#define __ULIB_CONTROL_H__

#include <header/Object.h>
#include <header/Window.h>
extern "C"
{
	#include <guigui00.h>
}
using namespace Ulib;

namespace Ulib
{
	class Control : public Ulib::Object
	{
	protected:
		int xsiz, ysiz, xpos, ypos;
	public:
		Control();
		virtual ~Control();
		virtual const char *getTypeName();
		virtual Control &xSize(int value);
		virtual int xSize();
		virtual Control &ySize(int value);
		virtual int ySize();
		virtual Control &xPosition(int value);
		virtual int xPosition();
		virtual Control &yPosition(int value);
		virtual int yPosition();
		friend void Ulib::Window::AddObject(Object &object0);
		friend void Ulib::Window::RemoveObject(Object &object0);
	};
}
#endif
